Loading...
Searching...
No Matches
vkd3d_shader_scan_thread_group_size_info Struct Reference

A chained structure describing the thread group size in a compute shader. More...

`#include <vkd3d_shader.h>`

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_SCAN_THREAD_GROUP_SIZE_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
unsigned int | x
| The thread group size in the x/y/z direction.
unsigned int | y
unsigned int | z

## Detailed Description

A chained structure describing the thread group size in a compute shader.

This structure extends vkd3d_shader_compile_info.

Since
  1.18

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h